Bug 1145378 - Adding an entry with an invalid password as rootDN is incorrectly rejected
Summary: Adding an entry with an invalid password as rootDN is incorrectly rejected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-23 01:03 UTC by Noriko Hosoi
Modified: 2020-09-13 21:11 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.4.0-1.el7
Doc Type: Bug Fix
Doc Text:
Root DN (Directory Manager) and password administrators should bypass all password restrictions and syntax checks, but the checks were incorrectly applied. The bug was fixed and Root DN and password administrators have no restrictions.
Clone Of:
Environment:
Last Closed: 2015-11-19 11:42:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 1231 0 None None None 2020-09-13 21:11:56 UTC
Red Hat Product Errata RHBA-2015:2351 0 normal SHIPPED_LIVE 389-ds-base bug fix and enhancement update 2015-11-19 10:28:44 UTC

Description Noriko Hosoi 2014-09-23 01:03:21 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47900

root DN, aka "cn=directory manager", should not be restricted by password policy.  During ADD operations the root DN is incorrectly restricted by password policy.  Updating an existing entry, doing a MOD, works as expected.

Comment 1 mreynolds 2014-09-30 19:20:43 UTC
Fixed upstream.

Comment 2 Noriko Hosoi 2015-02-20 00:37:22 UTC
Test case: dirsrvtests/tickets/ticket47900_test.py

Comment 4 Amita Sharma 2015-08-28 07:35:38 UTC
INFO:ticket47900_test:Testcase PASSED
PASSED

========================================== 2 passed in 39.84 seconds ===========================================
wrote pytestdebug information to /export/ds/dirsrvtests/tickets/pytestdebug.log

Hence marking as VERIFIED

Comment 5 errata-xmlrpc 2015-11-19 11:42:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2351.html


Note You need to log in before you can comment on or make changes to this bug.